ZF-6440: A set of "Zend_Loader::Zend_Loader::autoload is deprecated ..." and "Zend_Loader::Zend_Loader::registerAutoload is deprecated ..." errors

Description

{panel} 1) testLoaderAutoloadLoadsValidClasses(Zend_LoaderTest) Zend_Loader::Zend_Loader::autoload is deprecated as of 1.8.0 and will be removed with 2.0.0; use Zend_Loader_Autoloader instead /home/cawa/ZendFramework/svn/framework/branches/release-1.8/library/Zend/Loader.php:186 /home/cawa/ZendFramework/svn/framework/branches/release-1.8/library/Zend/Loader.php:186

2) testLoaderAutoloadFailsOnInvalidClasses(Zend_LoaderTest) Zend_Loader::Zend_Loader::autoload is deprecated as of 1.8.0 and will be removed with 2.0.0; use Zend_Loader_Autoloader instead /home/cawa/ZendFramework/svn/framework/branches/release-1.8/library/Zend/Loader.php:186 /home/cawa/ZendFramework/svn/framework/branches/release-1.8/library/Zend/Loader.php:186

3) testLoaderRegisterAutoloadRegisters(Zend_LoaderTest) Zend_Loader::Zend_Loader::registerAutoload is deprecated as of 1.8.0 and will be removed with 2.0.0; use Zend_Loader_Autoloader instead /home/cawa/ZendFramework/svn/framework/branches/release-1.8/library/Zend/Loader.php:207 /home/cawa/ZendFramework/svn/framework/branches/release-1.8/library/Zend/Loader.php:207

4) testLoaderRegisterAutoloadExtendedClassNeedsAutoloadMethod(Zend_LoaderTest) Zend_Loader::Zend_Loader::registerAutoload is deprecated as of 1.8.0 and will be removed with 2.0.0; use Zend_Loader_Autoloader instead /home/cawa/ZendFramework/svn/framework/branches/release-1.8/library/Zend/Loader.php:207 /home/cawa/ZendFramework/svn/framework/branches/release-1.8/library/Zend/Loader.php:207

5) testLoaderRegisterAutoloadExtendedClassWithAutoloadMethod(Zend_LoaderTest) Zend_Loader::Zend_Loader::registerAutoload is deprecated as of 1.8.0 and will be removed with 2.0.0; use Zend_Loader_Autoloader instead /home/cawa/ZendFramework/svn/framework/branches/release-1.8/library/Zend/Loader.php:207 /home/cawa/ZendFramework/svn/framework/branches/release-1.8/library/Zend/Loader.php:207

6) testLoaderRegisterAutoloadInvalidClass(Zend_LoaderTest) Zend_Loader::Zend_Loader::registerAutoload is deprecated as of 1.8.0 and will be removed with 2.0.0; use Zend_Loader_Autoloader instead /home/cawa/ZendFramework/svn/framework/branches/release-1.8/library/Zend/Loader.php:207 /home/cawa/ZendFramework/svn/framework/branches/release-1.8/library/Zend/Loader.php:207

7) testLoaderUnregisterAutoload(Zend_LoaderTest) Zend_Loader::Zend_Loader::registerAutoload is deprecated as of 1.8.0 and will be removed with 2.0.0; use Zend_Loader_Autoloader instead /home/cawa/ZendFramework/svn/framework/branches/release-1.8/library/Zend/Loader.php:207 /home/cawa/ZendFramework/svn/framework/branches/release-1.8/library/Zend/Loader.php:207 {panel}

Comments

These were due to marking autoload() and registerAutoload() as deprecated. I've added error handling and assertions now that correct the problem.